<app-loading *ngIf="isLoading"></app-loading>
<div class="content" *ngIf="isPeriodActive">
  <mb-button mbButtonSize="MEDIUM" mbButtonText="Tải dữ liệu lên" mbButtonTextColor="#141ED2"
             (click)="showModalUploadFile(footerTmplUploadFile)" *ngIf="objFunction?.import">
  </mb-button>
</div>
<form-search-employee-component #formSearch
  [isJob]="false" [empCode]="false" [fullName]="false" [isPosition]="false" [IsAssessmentTime]="true" [isYear]="false"
  [isMultipleStatus]="true" [listStatus]="listFlagStatus" [isEmpCodeAndEmpName]="true" (getListSearchDataEmployee)='receiveDataEmployee($event)'
  (isExportExcel)="exportExcel($event)" [isExport]="true" [isAllPeriod]="true"
>
</form-search-employee-component>
<div class='search__content--group'>
  <div class="btn-lock">
    <nz-switch [(ngModel)]="params.isLockDate" [nzDisabled]="params.isLockDate" (ngModelChange)="updateConfig($event)"></nz-switch>
    <span class="text">{{ 'goaManagement.approveListEmpAllocated.label.lockTerm' | translate }}</span>
  </div>
  <mb-table-wrap [mbTitle]="''" [nonBg]="true" [extra]="true">
    <mb-table
      (changePageNum)='changePage($event)'
      [isCheckPeriod]="params.isLockDate"
      [heightTable]="heightTable" [closeDate]="isCheckCloseDate" [finishDate]="isCheckFinishDate"
      [tableConfig]='tableConfig' [tableData]='listData'></mb-table>
  </mb-table-wrap>
</div>
<ng-template #flagStatusTmpl let-flagStatus='flagStatus'>
  <div class="display-center">
    <nz-tag [nzColor]="'blue'">
      {{renderFlagStatus(flagStatus) | translate}}
    </nz-tag>
  </div>
</ng-template>
<nz-modal [(nzVisible)]="isVisible" nzTitle="{{ 'goaManagement.listEmpAllocated.label.lockPeriod' | translate }}" [nzFooter]="modalFooter" nzWidth="30vw" (nzOnCancel)="closeModal(false)">
  <div style="margin-top: 1rem" *nzModalContent>
    <span>{{ 'goaManagement.listEmpAllocated.label.confirmLockPeriod' | translate }}<span style="font-weight: bold"> {{periodName}}?</span></span>
  </div>
  <ng-template #modalFooter>
    <mb-button (click)="search(true)" mbButtonAvailableStyle="PRIMARY" mbButtonSize="VERY_LARGE"
               mbButtonText="{{'common.button.confirm' | translate}}"
               mbButtonType="NO_BORDER"></mb-button>
    <mb-button (click)="closeModal(false)"
               class="flex-footer__uploadfile--button-left"
               mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="{{'targerManager.button.btnCancel' | translate}}"></mb-button>
  </ng-template>
</nz-modal>

<ng-template #footerTmplUploadFile>
  <section class="flex-footer__uploadfile">
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="modalRef.getContentComponent().save()"
               mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'targerManager.button.btnSaveFile' | translate}}"></mb-button>
    <mb-button mbButtonAvailableStyle="BtnCancelHasBorder"
               mbButtonText="{{'targerManager.button.btnCancel' | translate}}" (click)="modalRef.destroy()"
               *ngIf="objFunction?.view" class="flex-footer__uploadfile--button-left"></mb-button>
  </section>
</ng-template>
